%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:   CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		telepathy-glib
Version:	0.9.1
Release:	1
BuildArch:	i686
License:	GNU/GPL 
URL:		http://telepathy.freedesktop.org/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
Patch0:		telepathy-glib-broken-pkgconfig.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Glib bindings for Telepathy
BuildRequires:	glib-devel
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel gtk-doc libxslt-devel python26-devel

%description
Telepathy: Flexible Communications Framework

The Telepathy project aims to provide a unified framework for all forms of real time conversations, including instant messaging, IRC, voice calls and video calls. It uses the D-Bus messaging system to provide a simple interface for client applications, allowing them to quickly benefit from Telepathy's functionality.
For more details see: http://telepathy.freedesktop.org/

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}
Requires:	telepathy-filesystem
Requires:	dbus-devel
Requires:	dbus-glib-devel
Requires:	glib-devel
Requires:	pkgconfig


%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
%configure --enable-static=no PYTHON=/usr/bin/python%{PYVER} 
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.la
%_pkgconfig
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Nov 23 2009 Christian Metzen <metzench@ccux-linux.de> 0.9.1-1
- Version update
* Fri May 18 2007 Simon Schmeisser <wrt@ccux-linux.de> 0.5.11-1
- Initial Release
